Bug 1283599 - ValueError: plural forms expression could be dangerous
ValueError: plural forms expression could be dangerous
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
abrt_hash:dad422635da4a3537625cfa1966...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 06:39 EST by Tadas Slotkus
Modified: 2016-02-24 17:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 10:07:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (859.86 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: anaconda.log (6.53 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: environ (614 bytes, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: journalctl (546.43 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: lsblk_output (4.09 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: nmcli_dev_list (3.29 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: program.log (76.16 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: storage.log (213.60 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details
File: ifcfg.log (3.83 KB, text/plain)
2015-11-19 06:39 EST, Tadas Slotkus
no flags Details

  None (edit)
Description Tadas Slotkus 2015-11-19 06:39:10 EST
Description of problem:
Launched "Try Fedora", clicked "Install to hard drive" and then it crashed.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/gettext.py", line 74, in c2py
    raise ValueError('plural forms expression could be dangerous')
  File "/usr/lib64/python3.4/gettext.py", line 281, in _parse
    self.plural = c2py(plural)
  File "/usr/lib64/python3.4/gettext.py", line 160, in __init__
    self._parse(fp)
  File "/usr/lib64/python3.4/gettext.py", line 410, in translation
    t = _translations.setdefault(key, class_(fp))
  File "/usr/lib/python3.4/site-packages/blivet/i18n.py", line 37, in _get_translations
    _cached_translations[lc_messages] = gettext.translation("blivet", fallback=True)
  File "/usr/lib/python3.4/site-packages/blivet/i18n.py", line 51, in <lambda>
    _ = lambda x: _get_translations().gettext(x) if x != "" else ""
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 213, in name
    return "%s (%s)" % (_(self._name), self.labelType.upper())
  File "/usr/lib/python3.4/site-packages/blivet/formats/__init__.py", line 225, in dict
    d = {"type": self.type, "name": self.name, "device": self.device,
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 109, in dict
    d = super(DiskLabel, self).dict
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 258, in dict
    "format": self.format.dict, "removable": self.removable,
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1360, in <listcomp>
    shelf[key] = [d.dict for d in self.devices]
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1360, in dumpState
    shelf[key] = [d.dict for d in self.devices]
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 290, in reset
    self.dumpState("initial")
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
ValueError: plural forms expression could be dangerous

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Tadas Slotkus 2015-11-19 06:39:27 EST
Created attachment 1096616 [details]
File: anaconda-tb
Comment 2 Tadas Slotkus 2015-11-19 06:39:28 EST
Created attachment 1096617 [details]
File: anaconda.log
Comment 3 Tadas Slotkus 2015-11-19 06:39:30 EST
Created attachment 1096618 [details]
File: environ
Comment 4 Tadas Slotkus 2015-11-19 06:39:42 EST
Created attachment 1096619 [details]
File: journalctl
Comment 5 Tadas Slotkus 2015-11-19 06:39:43 EST
Created attachment 1096620 [details]
File: lsblk_output
Comment 6 Tadas Slotkus 2015-11-19 06:39:45 EST
Created attachment 1096621 [details]
File: nmcli_dev_list
Comment 7 Tadas Slotkus 2015-11-19 06:39:46 EST
Created attachment 1096622 [details]
File: os_info
Comment 8 Tadas Slotkus 2015-11-19 06:39:49 EST
Created attachment 1096623 [details]
File: program.log
Comment 9 Tadas Slotkus 2015-11-19 06:39:53 EST
Created attachment 1096624 [details]
File: storage.log
Comment 10 Tadas Slotkus 2015-11-19 06:39:55 EST
Created attachment 1096625 [details]
File: ifcfg.log
Comment 11 David Shea 2015-11-19 10:07:09 EST
This is a bug in the Lithuanian translations. The expression that the translator set for determining how to translate plurals uses a python-style "or" instead of the correct, C-style "||".

This has been corrected in the current translations, but unfortunately this means that Fedora 23 cannot be installed using Lithuanian. I'll add a test for this situations such as this so that we catch them earlier in the future.
Comment 12 Mantas 2016-02-22 15:55:58 EST
Another user experienced a similar problem:

If installer runs in my native language (it runs in Lithuanian by default) this bug appears.
If installer runs in English, everything is OK, so it seems it's language related issue.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         ValueError: plural forms expression could be dangerous
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 13 Tadas Slotkus 2016-02-24 17:27:31 EST
To force English language I used boot option inst.geoloc=0

Note You need to log in before you can comment on or make changes to this bug.